org.codehaus.plexus.metadata

## Interface MetadataGenerator

All Known Implementing Classes:
  DefaultMetadataGenerator

    public interface MetadataGenerator

### Method Summary

Methods
`void` `generateDescriptor(MetadataGenerationRequest configuration)`

### Method Detail

#### generateDescriptor

    void generateDescriptor(MetadataGenerationRequest configuration)
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`